
QGIS Application - Bug report #13069

Add ring works on first found polygon

2015-07-03 08:26 AM - Jakub Kosik

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21139

Description

When I try add new ring on layer with multiple overlapping features, tool only works on first found feature and ignores selection. Should

work only on selection or on all features if none selected (as Split Features already do)

Associated revisions

Revision e5ea5ff8 - 2015-10-08 02:33 PM - Nyall Dawson

Fix add ring/fill ring tool works on first polygon (fix #13069)

Now the tools will prefer to operate on selected features first.

Improves editing of overlapping features.

History

#1 - 2015-07-31 11:21 AM - Giovanni Manghi

- OS version deleted (7)

- Operating System deleted (Windows)

maybe behavior is not perfect but I see no real bug here, I would rather change this to feature request, ok?

#2 - 2015-07-31 01:44 PM - Jakub Kosik

OK, it could be future request. All digitising tools should behavoir same way IMO.

#3 - 2015-10-08 05:35 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"e5ea5ff89a9891b174470f7155cd4570af729864".
